Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156156 - cman uses deprecated initlog() function
Summary: cman uses deprecated initlog() function
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: cman
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam "mantis" Manthei
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC4Target
TreeView+ depends on / blocked
 
Reported: 2005-04-27 23:55 UTC by Jef Spaleta
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-07 01:23:03 UTC


Attachments (Terms of Use)

Description Jef Spaleta 2005-04-27 23:55:08 UTC
Description of problem:
/sbin/service cman restart
Stopping cman:                                             [  OK  ]
Starting cman:WARNING: initlog is deprecated and will be removed in a future release
                                                           [FAILED]
cman-1.0-0.pre33.2

probably should try to replace the use of initlog before fc4 lands, since its
deprecated.


-jef

Comment 1 Lon Hohberger 2005-04-28 15:43:08 UTC
Note: rgmanager calls initlog in a "oracleas" script which currently is not
tested/supported.

Comment 2 Alexandre Oliva 2005-05-05 04:47:58 UTC
It's actually worse: starting cman within rhgb, you get an ugly error message
from glibc about free()ing an invalid address.

Comment 3 Adam "mantis" Manthei 2005-05-20 16:14:06 UTC
the reason that cman failed to start was because 
"/etc/cluster/cluster.conf was not detected"

initlog has nothing to do with the failure here

changing initlog() to an echo for now.

Comment 4 Adam "mantis" Manthei 2005-05-20 16:15:09 UTC
Fix commited:

Checking in cman;
/cvs/cluster/cluster/cman/init.d/cman,v  <--  cman
new revision: 1.1.2.10.4.1; previous revision: 1.1.2.10
done


Comment 5 Alexandre Oliva 2005-05-20 18:51:32 UTC
I think the problem this report was about was not such much that it failed to
start (it shouldn't even try to start by default), but rather that it uses
initlog, that not only was deprecated, but also triggered sanity checks in glibc.

Comment 6 Adam "mantis" Manthei 2005-05-23 02:52:07 UTC
The original summary was:
   "cman service fails with warning message about initlog being deprecated" 	

The issue that I fixed, and what I believe the issue that was trying to be
addressed by the bug is reperestend by the new summary:
   "cman uses deprecated initlog() function"

The cman init script no longer uses initlog().  This makes the deprecated
warning go away, hence why this bug is in the MODIFIED state.

cman failing to start is either a configuration error or some other issue that
may need to be looked into and given it's own bug.

The opinion that cman shouldn't start has nothing to do with this bug and has
already been addressed by bug #156410.

If starting cman still produces "an ugly error message" when starting from
within rhgb, then that is an issue that should be addressed in its own bug.


Comment 7 Alexandre Oliva 2005-05-23 13:46:35 UTC
Yep, since the use of initlog is removed, the bug can probably be closed. 
Oddly, logging into bugzilla with my non-Red Hat identity, I can't do anything
other than leaving the bug in MODIFIED state.

Comment 8 Alexandre Oliva 2005-05-23 13:49:05 UTC
That said, I still see initlog in /etc/init.d/cman, as of yesterday's rawhide,
and there isn't any update to this package in today's rawhide.  Maybe it needs
to be built, or moved to the dist that will make to FC4.

Comment 9 Jef Spaleta 2005-09-07 01:23:03 UTC
I'm closing this bug since cman has been removed from rawhide as of 2005-09-03



Note You need to log in before you can comment on or make changes to this bug.